#include <stdio.h>
#include "m.h"

static unsigned char test_pcode[] = 
{
	OP_SET, REG_A, 5,  /* A = 5 */
	OP_SET, REG_B, 2,  /* B = 2 */
	OP_ADD,		   /* A += B, A = 7 */
	OP_SET, REG_B, 3,  /* B = 3 */
	OP_MUL,		   /* A *= B, A = 21 */
	OP_ADD,		   /* A += B, A = 24 */
	OP_END
};

int main()
{
	ContextM m;
	unsigned char pcode[50];
	int err, result;
	
	memset(&m, 0, sizeof(ContextM));
	m.bytecode = test_pcode;

	result = Execute_M(&m, &err);

	printf("Error: %d, Value: %d\n", err, result);
	printf("Expected: (%d,%d)\n", -1, 24);
}

